{"changed":true,"filter":false,"title":"Player.js","tooltip":"/2-Platformer/scripts/Player.js","value":"class Player extends Phaser.Physics.Arcade.Sprite\n{\n    constructor(scene)\n    {\n      super(scene,0,0,'player');\n      \n      var start = scene.map.findObject('items', obj => obj.name === 'player');\n      this.x = start.x;\n      this.y = start.y;\n      this.depth = -1;\n      this.speed = 200;\n      scene.add.existing(this);\n      scene.physics.add.existing(this);\n      \n      this.arrow_keys = scene.input.keyboard.addKeys('up,left,right');\n    }\n    \n    move()\n    {\n        if(this.body === undefined)\n        {\n            return;\n        }\n        this.body.velocity.x = 0;\n        \n        if (this.arrow_keys.up.isDown && this.body.onFloor())\n        {\n            this.body.velocity.y = -this.speed * 2;\n        }\n        if (this.arrow_keys.left.isDown)\n        {\n            this.body.velocity.x = -this.speed;\n        }                  \n            if (this.arrow_keys.right.isDown)\n        {\n            this.body.velocity.x = this.speed;\n        }\n    }\n}","undoManager":{"mark":97,"position":100,"stack":[[{"start":{"row":26,"column":8},"end":{"row":26,"column":12},"action":"insert","lines":["    "],"id":266}],[{"start":{"row":26,"column":12},"end":{"row":26,"column":13},"action":"insert","lines":["t"],"id":267},{"start":{"row":26,"column":13},"end":{"row":26,"column":14},"action":"insert","lines":["h"]},{"start":{"row":26,"column":14},"end":{"row":26,"column":15},"action":"insert","lines":["i"]},{"start":{"row":26,"column":15},"end":{"row":26,"column":16},"action":"insert","lines":["s"]},{"start":{"row":26,"column":16},"end":{"row":26,"column":17},"action":"insert","lines":["."]},{"start":{"row":26,"column":17},"end":{"row":26,"column":18},"action":"insert","lines":["b"]},{"start":{"row":26,"column":18},"end":{"row":26,"column":19},"action":"insert","lines":["o"]},{"start":{"row":26,"column":19},"end":{"row":26,"column":20},"action":"insert","lines":["d"]},{"start":{"row":26,"column":20},"end":{"row":26,"column":21},"action":"insert","lines":["y"]}],[{"start":{"row":26,"column":21},"end":{"row":26,"column":22},"action":"insert","lines":["."],"id":268},{"start":{"row":26,"column":22},"end":{"row":26,"column":23},"action":"insert","lines":["v"]},{"start":{"row":26,"column":23},"end":{"row":26,"column":24},"action":"insert","lines":["l"]},{"start":{"row":26,"column":24},"end":{"row":26,"column":25},"action":"insert","lines":["e"]}],[{"start":{"row":26,"column":24},"end":{"row":26,"column":25},"action":"remove","lines":["e"],"id":269},{"start":{"row":26,"column":23},"end":{"row":26,"column":24},"action":"remove","lines":["l"]}],[{"start":{"row":26,"column":23},"end":{"row":26,"column":24},"action":"insert","lines":["e"],"id":270},{"start":{"row":26,"column":24},"end":{"row":26,"column":25},"action":"insert","lines":["l"]}],[{"start":{"row":26,"column":25},"end":{"row":26,"column":26},"action":"insert","lines":["o"],"id":271},{"start":{"row":26,"column":26},"end":{"row":26,"column":27},"action":"insert","lines":["c"]},{"start":{"row":26,"column":27},"end":{"row":26,"column":28},"action":"insert","lines":["i"]},{"start":{"row":26,"column":28},"end":{"row":26,"column":29},"action":"insert","lines":["t"]},{"start":{"row":26,"column":29},"end":{"row":26,"column":30},"action":"insert","lines":["y"]},{"start":{"row":26,"column":30},"end":{"row":26,"column":31},"action":"insert","lines":["."]}],[{"start":{"row":26,"column":31},"end":{"row":26,"column":32},"action":"insert","lines":["x"],"id":272}],[{"start":{"row":26,"column":32},"end":{"row":26,"column":33},"action":"insert","lines":[" "],"id":273},{"start":{"row":26,"column":33},"end":{"row":26,"column":34},"action":"insert","lines":["="]}],[{"start":{"row":26,"column":34},"end":{"row":26,"column":35},"action":"insert","lines":[" "],"id":274}],[{"start":{"row":26,"column":35},"end":{"row":26,"column":36},"action":"insert","lines":["-"],"id":275}],[{"start":{"row":26,"column":36},"end":{"row":26,"column":37},"action":"insert","lines":["t"],"id":276},{"start":{"row":26,"column":37},"end":{"row":26,"column":38},"action":"insert","lines":["h"]},{"start":{"row":26,"column":38},"end":{"row":26,"column":39},"action":"insert","lines":["i"]},{"start":{"row":26,"column":39},"end":{"row":26,"column":40},"action":"insert","lines":["s"]},{"start":{"row":26,"column":40},"end":{"row":26,"column":41},"action":"insert","lines":["."]},{"start":{"row":26,"column":41},"end":{"row":26,"column":42},"action":"insert","lines":["s"]},{"start":{"row":26,"column":42},"end":{"row":26,"column":43},"action":"insert","lines":["p"]},{"start":{"row":26,"column":43},"end":{"row":26,"column":44},"action":"insert","lines":["e"]},{"start":{"row":26,"column":44},"end":{"row":26,"column":45},"action":"insert","lines":["e"]}],[{"start":{"row":26,"column":45},"end":{"row":26,"column":46},"action":"insert","lines":["d"],"id":277}],[{"start":{"row":26,"column":46},"end":{"row":27,"column":0},"action":"insert","lines":["",""],"id":278},{"start":{"row":27,"column":0},"end":{"row":27,"column":12},"action":"insert","lines":["            "]},{"start":{"row":27,"column":12},"end":{"row":28,"column":0},"action":"insert","lines":["",""]},{"start":{"row":28,"column":0},"end":{"row":28,"column":12},"action":"insert","lines":["            "]}],[{"start":{"row":28,"column":12},"end":{"row":28,"column":13},"action":"insert","lines":["i"],"id":279},{"start":{"row":28,"column":13},"end":{"row":28,"column":14},"action":"insert","lines":["f"]}],[{"start":{"row":28,"column":14},"end":{"row":28,"column":16},"action":"insert","lines":["()"],"id":280}],[{"start":{"row":28,"column":14},"end":{"row":28,"column":16},"action":"remove","lines":["()"],"id":281}],[{"start":{"row":28,"column":14},"end":{"row":28,"column":15},"action":"insert","lines":[" "],"id":282}],[{"start":{"row":28,"column":15},"end":{"row":28,"column":17},"action":"insert","lines":["()"],"id":283}],[{"start":{"row":28,"column":16},"end":{"row":28,"column":17},"action":"insert","lines":["t"],"id":284},{"start":{"row":28,"column":17},"end":{"row":28,"column":18},"action":"insert","lines":["h"]},{"start":{"row":28,"column":18},"end":{"row":28,"column":19},"action":"insert","lines":["i"]},{"start":{"row":28,"column":19},"end":{"row":28,"column":20},"action":"insert","lines":["s"]}],[{"start":{"row":28,"column":20},"end":{"row":28,"column":21},"action":"insert","lines":["."],"id":285},{"start":{"row":28,"column":21},"end":{"row":28,"column":22},"action":"insert","lines":["a"]},{"start":{"row":28,"column":22},"end":{"row":28,"column":23},"action":"insert","lines":["r"]},{"start":{"row":28,"column":23},"end":{"row":28,"column":24},"action":"insert","lines":["r"]},{"start":{"row":28,"column":24},"end":{"row":28,"column":25},"action":"insert","lines":["o"]},{"start":{"row":28,"column":25},"end":{"row":28,"column":26},"action":"insert","lines":["w"]}],[{"start":{"row":28,"column":26},"end":{"row":28,"column":27},"action":"insert","lines":["_"],"id":286},{"start":{"row":28,"column":27},"end":{"row":28,"column":28},"action":"insert","lines":["k"]}],[{"start":{"row":28,"column":28},"end":{"row":28,"column":29},"action":"insert","lines":["e"],"id":287},{"start":{"row":28,"column":29},"end":{"row":28,"column":30},"action":"insert","lines":["y"]},{"start":{"row":28,"column":30},"end":{"row":28,"column":31},"action":"insert","lines":["s"]}],[{"start":{"row":28,"column":31},"end":{"row":28,"column":32},"action":"insert","lines":["."],"id":288},{"start":{"row":28,"column":32},"end":{"row":28,"column":33},"action":"insert","lines":["r"]},{"start":{"row":28,"column":33},"end":{"row":28,"column":34},"action":"insert","lines":["i"]},{"start":{"row":28,"column":34},"end":{"row":28,"column":35},"action":"insert","lines":["r"]}],[{"start":{"row":28,"column":34},"end":{"row":28,"column":35},"action":"remove","lines":["r"],"id":289}],[{"start":{"row":28,"column":34},"end":{"row":28,"column":35},"action":"insert","lines":["g"],"id":290},{"start":{"row":28,"column":35},"end":{"row":28,"column":36},"action":"insert","lines":["h"]},{"start":{"row":28,"column":36},"end":{"row":28,"column":37},"action":"insert","lines":["t"]},{"start":{"row":28,"column":37},"end":{"row":28,"column":38},"action":"insert","lines":["."]}],[{"start":{"row":28,"column":38},"end":{"row":28,"column":39},"action":"insert","lines":["i"],"id":291},{"start":{"row":28,"column":39},"end":{"row":28,"column":40},"action":"insert","lines":["s"]},{"start":{"row":28,"column":40},"end":{"row":28,"column":41},"action":"insert","lines":["D"]},{"start":{"row":28,"column":41},"end":{"row":28,"column":42},"action":"insert","lines":["O"]},{"start":{"row":28,"column":42},"end":{"row":28,"column":43},"action":"insert","lines":["w"]},{"start":{"row":28,"column":43},"end":{"row":28,"column":44},"action":"insert","lines":["n"]}],[{"start":{"row":28,"column":43},"end":{"row":28,"column":44},"action":"remove","lines":["n"],"id":292},{"start":{"row":28,"column":42},"end":{"row":28,"column":43},"action":"remove","lines":["w"]},{"start":{"row":28,"column":41},"end":{"row":28,"column":42},"action":"remove","lines":["O"]},{"start":{"row":28,"column":40},"end":{"row":28,"column":41},"action":"remove","lines":["D"]}],[{"start":{"row":28,"column":40},"end":{"row":28,"column":41},"action":"insert","lines":["D"],"id":293},{"start":{"row":28,"column":41},"end":{"row":28,"column":42},"action":"insert","lines":["o"]},{"start":{"row":28,"column":42},"end":{"row":28,"column":43},"action":"insert","lines":["p"]},{"start":{"row":28,"column":43},"end":{"row":28,"column":44},"action":"insert","lines":["w"]},{"start":{"row":28,"column":44},"end":{"row":28,"column":45},"action":"insert","lines":["n"]}],[{"start":{"row":28,"column":44},"end":{"row":28,"column":45},"action":"remove","lines":["n"],"id":294},{"start":{"row":28,"column":43},"end":{"row":28,"column":44},"action":"remove","lines":["w"]},{"start":{"row":28,"column":42},"end":{"row":28,"column":43},"action":"remove","lines":["p"]}],[{"start":{"row":28,"column":42},"end":{"row":28,"column":43},"action":"insert","lines":["w"],"id":295},{"start":{"row":28,"column":43},"end":{"row":28,"column":44},"action":"insert","lines":["n"]}],[{"start":{"row":27,"column":0},"end":{"row":27,"column":4},"action":"insert","lines":["    "],"id":296}],[{"start":{"row":27,"column":4},"end":{"row":27,"column":8},"action":"insert","lines":["    "],"id":297}],[{"start":{"row":27,"column":8},"end":{"row":27,"column":9},"action":"insert","lines":["}"],"id":298},{"start":{"row":27,"column":0},"end":{"row":27,"column":8},"action":"remove","lines":["        "]}],[{"start":{"row":27,"column":0},"end":{"row":27,"column":1},"action":"remove","lines":["}"],"id":299}],[{"start":{"row":27,"column":0},"end":{"row":27,"column":4},"action":"insert","lines":["    "],"id":300}],[{"start":{"row":27,"column":4},"end":{"row":27,"column":8},"action":"insert","lines":["    "],"id":301}],[{"start":{"row":25,"column":4},"end":{"row":25,"column":5},"action":"remove","lines":["}"],"id":302}],[{"start":{"row":25,"column":4},"end":{"row":25,"column":5},"action":"insert","lines":[" "],"id":303}],[{"start":{"row":25,"column":4},"end":{"row":25,"column":5},"action":"remove","lines":[" "],"id":304}],[{"start":{"row":25,"column":4},"end":{"row":25,"column":8},"action":"insert","lines":["    "],"id":305}],[{"start":{"row":25,"column":8},"end":{"row":25,"column":9},"action":"insert","lines":["{"],"id":306}],[{"start":{"row":27,"column":2},"end":{"row":27,"column":4},"action":"insert","lines":["  "],"id":307}],[{"start":{"row":27,"column":4},"end":{"row":27,"column":8},"action":"insert","lines":["    "],"id":308}],[{"start":{"row":27,"column":8},"end":{"row":27,"column":9},"action":"insert","lines":["}"],"id":309}],[{"start":{"row":28,"column":45},"end":{"row":29,"column":0},"action":"insert","lines":["",""],"id":310},{"start":{"row":29,"column":0},"end":{"row":29,"column":12},"action":"insert","lines":["            "]}],[{"start":{"row":29,"column":8},"end":{"row":29,"column":12},"action":"remove","lines":["    "],"id":311}],[{"start":{"row":29,"column":8},"end":{"row":29,"column":9},"action":"insert","lines":["{"],"id":312}],[{"start":{"row":29,"column":9},"end":{"row":31,"column":9},"action":"insert","lines":["","            ","        }"],"id":313}],[{"start":{"row":30,"column":12},"end":{"row":30,"column":13},"action":"insert","lines":["t"],"id":314},{"start":{"row":30,"column":13},"end":{"row":30,"column":14},"action":"insert","lines":["h"]},{"start":{"row":30,"column":14},"end":{"row":30,"column":15},"action":"insert","lines":["i"]},{"start":{"row":30,"column":15},"end":{"row":30,"column":16},"action":"insert","lines":["s"]},{"start":{"row":30,"column":16},"end":{"row":30,"column":17},"action":"insert","lines":["."]},{"start":{"row":30,"column":17},"end":{"row":30,"column":18},"action":"insert","lines":["b"]},{"start":{"row":30,"column":18},"end":{"row":30,"column":19},"action":"insert","lines":["o"]},{"start":{"row":30,"column":19},"end":{"row":30,"column":20},"action":"insert","lines":["d"]},{"start":{"row":30,"column":20},"end":{"row":30,"column":21},"action":"insert","lines":["y"]}],[{"start":{"row":30,"column":21},"end":{"row":30,"column":22},"action":"insert","lines":["."],"id":315},{"start":{"row":30,"column":22},"end":{"row":30,"column":23},"action":"insert","lines":["v"]},{"start":{"row":30,"column":23},"end":{"row":30,"column":24},"action":"insert","lines":["e"]},{"start":{"row":30,"column":24},"end":{"row":30,"column":25},"action":"insert","lines":["l"]},{"start":{"row":30,"column":25},"end":{"row":30,"column":26},"action":"insert","lines":["o"]},{"start":{"row":30,"column":26},"end":{"row":30,"column":27},"action":"insert","lines":["c"]},{"start":{"row":30,"column":27},"end":{"row":30,"column":28},"action":"insert","lines":["i"]},{"start":{"row":30,"column":28},"end":{"row":30,"column":29},"action":"insert","lines":["t"]},{"start":{"row":30,"column":29},"end":{"row":30,"column":30},"action":"insert","lines":["y"]}],[{"start":{"row":30,"column":30},"end":{"row":30,"column":31},"action":"insert","lines":["."],"id":316},{"start":{"row":30,"column":31},"end":{"row":30,"column":32},"action":"insert","lines":["x"]}],[{"start":{"row":30,"column":32},"end":{"row":30,"column":33},"action":"insert","lines":[" "],"id":317},{"start":{"row":30,"column":33},"end":{"row":30,"column":34},"action":"insert","lines":["="]}],[{"start":{"row":30,"column":34},"end":{"row":30,"column":35},"action":"insert","lines":[" "],"id":318},{"start":{"row":30,"column":35},"end":{"row":30,"column":36},"action":"insert","lines":["t"]},{"start":{"row":30,"column":36},"end":{"row":30,"column":37},"action":"insert","lines":["h"]},{"start":{"row":30,"column":37},"end":{"row":30,"column":38},"action":"insert","lines":["i"]},{"start":{"row":30,"column":38},"end":{"row":30,"column":39},"action":"insert","lines":["s"]}],[{"start":{"row":30,"column":39},"end":{"row":30,"column":40},"action":"insert","lines":["."],"id":319},{"start":{"row":30,"column":40},"end":{"row":30,"column":41},"action":"insert","lines":["s"]},{"start":{"row":30,"column":41},"end":{"row":30,"column":42},"action":"insert","lines":["p"]},{"start":{"row":30,"column":42},"end":{"row":30,"column":43},"action":"insert","lines":["e"]},{"start":{"row":30,"column":43},"end":{"row":30,"column":44},"action":"insert","lines":["e"]},{"start":{"row":30,"column":44},"end":{"row":30,"column":45},"action":"insert","lines":["d"]}],[{"start":{"row":30,"column":45},"end":{"row":30,"column":46},"action":"insert","lines":[";"],"id":320}],[{"start":{"row":32,"column":0},"end":{"row":32,"column":4},"action":"insert","lines":["    "],"id":321}],[{"start":{"row":32,"column":5},"end":{"row":33,"column":0},"action":"insert","lines":["",""],"id":322},{"start":{"row":33,"column":0},"end":{"row":33,"column":4},"action":"insert","lines":["    "]},{"start":{"row":33,"column":4},"end":{"row":33,"column":5},"action":"insert","lines":["}"]},{"start":{"row":33,"column":0},"end":{"row":33,"column":4},"action":"remove","lines":["    "]}],[{"start":{"row":26,"column":46},"end":{"row":26,"column":47},"action":"insert","lines":[";"],"id":323}],[{"start":{"row":17,"column":5},"end":{"row":18,"column":0},"action":"insert","lines":["",""],"id":324},{"start":{"row":18,"column":0},"end":{"row":18,"column":8},"action":"insert","lines":["        "]},{"start":{"row":18,"column":8},"end":{"row":18,"column":9},"action":"insert","lines":["i"]},{"start":{"row":18,"column":9},"end":{"row":18,"column":10},"action":"insert","lines":["f"]}],[{"start":{"row":18,"column":9},"end":{"row":18,"column":10},"action":"remove","lines":["f"],"id":325},{"start":{"row":18,"column":8},"end":{"row":18,"column":9},"action":"remove","lines":["i"]},{"start":{"row":18,"column":4},"end":{"row":18,"column":8},"action":"remove","lines":["    "]},{"start":{"row":18,"column":0},"end":{"row":18,"column":4},"action":"remove","lines":["    "]},{"start":{"row":17,"column":5},"end":{"row":18,"column":0},"action":"remove","lines":["",""]}],[{"start":{"row":17,"column":5},"end":{"row":18,"column":0},"action":"insert","lines":["",""],"id":326},{"start":{"row":18,"column":0},"end":{"row":18,"column":8},"action":"insert","lines":["        "]},{"start":{"row":18,"column":8},"end":{"row":19,"column":0},"action":"insert","lines":["",""]},{"start":{"row":19,"column":0},"end":{"row":19,"column":8},"action":"insert","lines":["        "]},{"start":{"row":19,"column":8},"end":{"row":19,"column":9},"action":"insert","lines":["i"]},{"start":{"row":19,"column":9},"end":{"row":19,"column":10},"action":"insert","lines":["f"]}],[{"start":{"row":19,"column":10},"end":{"row":19,"column":12},"action":"insert","lines":["()"],"id":327}],[{"start":{"row":19,"column":11},"end":{"row":19,"column":12},"action":"insert","lines":["t"],"id":328},{"start":{"row":19,"column":12},"end":{"row":19,"column":13},"action":"insert","lines":["h"]},{"start":{"row":19,"column":13},"end":{"row":19,"column":14},"action":"insert","lines":["i"]},{"start":{"row":19,"column":14},"end":{"row":19,"column":15},"action":"insert","lines":["s"]},{"start":{"row":19,"column":15},"end":{"row":19,"column":16},"action":"insert","lines":["."]},{"start":{"row":19,"column":16},"end":{"row":19,"column":17},"action":"insert","lines":["b"]},{"start":{"row":19,"column":17},"end":{"row":19,"column":18},"action":"insert","lines":["o"]}],[{"start":{"row":19,"column":17},"end":{"row":19,"column":18},"action":"remove","lines":["o"],"id":329},{"start":{"row":19,"column":16},"end":{"row":19,"column":17},"action":"remove","lines":["b"]},{"start":{"row":19,"column":15},"end":{"row":19,"column":16},"action":"remove","lines":["."]},{"start":{"row":19,"column":14},"end":{"row":19,"column":15},"action":"remove","lines":["s"]},{"start":{"row":19,"column":13},"end":{"row":19,"column":14},"action":"remove","lines":["i"]},{"start":{"row":19,"column":12},"end":{"row":19,"column":13},"action":"remove","lines":["h"]},{"start":{"row":19,"column":11},"end":{"row":19,"column":12},"action":"remove","lines":["t"]},{"start":{"row":19,"column":10},"end":{"row":19,"column":12},"action":"remove","lines":["()"]},{"start":{"row":19,"column":9},"end":{"row":19,"column":10},"action":"remove","lines":["f"]},{"start":{"row":19,"column":8},"end":{"row":19,"column":9},"action":"remove","lines":["i"]}],[{"start":{"row":19,"column":4},"end":{"row":19,"column":8},"action":"remove","lines":["    "],"id":330},{"start":{"row":19,"column":0},"end":{"row":19,"column":4},"action":"remove","lines":["    "]},{"start":{"row":18,"column":8},"end":{"row":19,"column":0},"action":"remove","lines":["",""]}],[{"start":{"row":18,"column":8},"end":{"row":18,"column":9},"action":"insert","lines":["i"],"id":331},{"start":{"row":18,"column":9},"end":{"row":18,"column":10},"action":"insert","lines":["f"]}],[{"start":{"row":18,"column":10},"end":{"row":18,"column":12},"action":"insert","lines":["()"],"id":332}],[{"start":{"row":18,"column":11},"end":{"row":18,"column":12},"action":"insert","lines":["t"],"id":333},{"start":{"row":18,"column":12},"end":{"row":18,"column":13},"action":"insert","lines":["h"]},{"start":{"row":18,"column":13},"end":{"row":18,"column":14},"action":"insert","lines":["i"]},{"start":{"row":18,"column":14},"end":{"row":18,"column":15},"action":"insert","lines":["s"]},{"start":{"row":18,"column":15},"end":{"row":18,"column":16},"action":"insert","lines":["."]}],[{"start":{"row":18,"column":16},"end":{"row":18,"column":17},"action":"insert","lines":["b"],"id":334},{"start":{"row":18,"column":17},"end":{"row":18,"column":18},"action":"insert","lines":["o"]},{"start":{"row":18,"column":18},"end":{"row":18,"column":19},"action":"insert","lines":["d"]},{"start":{"row":18,"column":19},"end":{"row":18,"column":20},"action":"insert","lines":["y"]},{"start":{"row":18,"column":20},"end":{"row":18,"column":21},"action":"insert","lines":["="]},{"start":{"row":18,"column":21},"end":{"row":18,"column":22},"action":"insert","lines":["="]}],[{"start":{"row":18,"column":22},"end":{"row":18,"column":23},"action":"insert","lines":["="],"id":335},{"start":{"row":18,"column":23},"end":{"row":18,"column":24},"action":"insert","lines":["="]},{"start":{"row":18,"column":24},"end":{"row":18,"column":25},"action":"insert","lines":["="]}],[{"start":{"row":18,"column":24},"end":{"row":18,"column":25},"action":"remove","lines":["="],"id":336},{"start":{"row":18,"column":23},"end":{"row":18,"column":24},"action":"remove","lines":["="]},{"start":{"row":18,"column":22},"end":{"row":18,"column":23},"action":"remove","lines":["="]},{"start":{"row":18,"column":21},"end":{"row":18,"column":22},"action":"remove","lines":["="]},{"start":{"row":18,"column":20},"end":{"row":18,"column":21},"action":"remove","lines":["="]}],[{"start":{"row":18,"column":20},"end":{"row":18,"column":21},"action":"insert","lines":[" "],"id":337},{"start":{"row":18,"column":21},"end":{"row":18,"column":22},"action":"insert","lines":["-"]}],[{"start":{"row":18,"column":21},"end":{"row":18,"column":22},"action":"remove","lines":["-"],"id":338}],[{"start":{"row":18,"column":21},"end":{"row":18,"column":22},"action":"insert","lines":["="],"id":339},{"start":{"row":18,"column":22},"end":{"row":18,"column":23},"action":"insert","lines":["="]},{"start":{"row":18,"column":23},"end":{"row":18,"column":24},"action":"insert","lines":["="]}],[{"start":{"row":18,"column":24},"end":{"row":18,"column":25},"action":"insert","lines":[" "],"id":340},{"start":{"row":18,"column":25},"end":{"row":18,"column":26},"action":"insert","lines":["u"]},{"start":{"row":18,"column":26},"end":{"row":18,"column":27},"action":"insert","lines":["n"]},{"start":{"row":18,"column":27},"end":{"row":18,"column":28},"action":"insert","lines":["d"]},{"start":{"row":18,"column":28},"end":{"row":18,"column":29},"action":"insert","lines":["e"]},{"start":{"row":18,"column":29},"end":{"row":18,"column":30},"action":"insert","lines":["r"]}],[{"start":{"row":18,"column":30},"end":{"row":18,"column":31},"action":"insert","lines":["f"],"id":341},{"start":{"row":18,"column":31},"end":{"row":18,"column":32},"action":"insert","lines":["i"]},{"start":{"row":18,"column":32},"end":{"row":18,"column":33},"action":"insert","lines":["n"]},{"start":{"row":18,"column":33},"end":{"row":18,"column":34},"action":"insert","lines":["e"]},{"start":{"row":18,"column":34},"end":{"row":18,"column":35},"action":"insert","lines":["d"]}],[{"start":{"row":18,"column":36},"end":{"row":19,"column":0},"action":"insert","lines":["",""],"id":342},{"start":{"row":19,"column":0},"end":{"row":19,"column":8},"action":"insert","lines":["        "]},{"start":{"row":19,"column":8},"end":{"row":19,"column":9},"action":"insert","lines":["{"]}],[{"start":{"row":19,"column":9},"end":{"row":21,"column":9},"action":"insert","lines":["","            ","        }"],"id":343}],[{"start":{"row":20,"column":12},"end":{"row":20,"column":13},"action":"insert","lines":["r"],"id":344},{"start":{"row":20,"column":13},"end":{"row":20,"column":14},"action":"insert","lines":["e"]},{"start":{"row":20,"column":14},"end":{"row":20,"column":15},"action":"insert","lines":["t"]},{"start":{"row":20,"column":15},"end":{"row":20,"column":16},"action":"insert","lines":["u"]},{"start":{"row":20,"column":16},"end":{"row":20,"column":17},"action":"insert","lines":["r"]},{"start":{"row":20,"column":17},"end":{"row":20,"column":18},"action":"insert","lines":["n"]}],[{"start":{"row":20,"column":18},"end":{"row":20,"column":19},"action":"insert","lines":[";"],"id":345}],[{"start":{"row":11,"column":28},"end":{"row":11,"column":29},"action":"insert","lines":["t"],"id":346}],[{"start":{"row":18,"column":30},"end":{"row":18,"column":31},"action":"remove","lines":["f"],"id":347}],[{"start":{"row":18,"column":30},"end":{"row":18,"column":31},"action":"insert","lines":["l"],"id":348}],[{"start":{"row":18,"column":30},"end":{"row":18,"column":31},"action":"remove","lines":["l"],"id":349}],[{"start":{"row":18,"column":30},"end":{"row":18,"column":31},"action":"insert","lines":["f"],"id":350}],[{"start":{"row":18,"column":30},"end":{"row":18,"column":31},"action":"remove","lines":["f"],"id":351},{"start":{"row":18,"column":29},"end":{"row":18,"column":30},"action":"remove","lines":["r"]}],[{"start":{"row":18,"column":29},"end":{"row":18,"column":30},"action":"insert","lines":["f"],"id":352}],[{"start":{"row":24,"column":37},"end":{"row":24,"column":38},"action":"insert","lines":[" "],"id":353},{"start":{"row":24,"column":38},"end":{"row":24,"column":39},"action":"insert","lines":["&"]},{"start":{"row":24,"column":39},"end":{"row":24,"column":40},"action":"insert","lines":["&"]}],[{"start":{"row":24,"column":40},"end":{"row":24,"column":41},"action":"insert","lines":[" "],"id":354},{"start":{"row":24,"column":41},"end":{"row":24,"column":42},"action":"insert","lines":["t"]},{"start":{"row":24,"column":42},"end":{"row":24,"column":43},"action":"insert","lines":["h"]},{"start":{"row":24,"column":43},"end":{"row":24,"column":44},"action":"insert","lines":["i"]},{"start":{"row":24,"column":44},"end":{"row":24,"column":45},"action":"insert","lines":["s"]},{"start":{"row":24,"column":45},"end":{"row":24,"column":46},"action":"insert","lines":["."]}],[{"start":{"row":24,"column":46},"end":{"row":24,"column":47},"action":"insert","lines":["b"],"id":355},{"start":{"row":24,"column":47},"end":{"row":24,"column":48},"action":"insert","lines":["o"]},{"start":{"row":24,"column":48},"end":{"row":24,"column":49},"action":"insert","lines":["d"]},{"start":{"row":24,"column":49},"end":{"row":24,"column":50},"action":"insert","lines":["y"]}],[{"start":{"row":24,"column":50},"end":{"row":24,"column":51},"action":"insert","lines":["."],"id":356},{"start":{"row":24,"column":51},"end":{"row":24,"column":52},"action":"insert","lines":["o"]},{"start":{"row":24,"column":52},"end":{"row":24,"column":53},"action":"insert","lines":["n"]},{"start":{"row":24,"column":53},"end":{"row":24,"column":54},"action":"insert","lines":["F"]},{"start":{"row":24,"column":54},"end":{"row":24,"column":55},"action":"insert","lines":["l"]},{"start":{"row":24,"column":55},"end":{"row":24,"column":56},"action":"insert","lines":["o"]},{"start":{"row":24,"column":56},"end":{"row":24,"column":57},"action":"insert","lines":["o"]},{"start":{"row":24,"column":57},"end":{"row":24,"column":58},"action":"insert","lines":["r"]}],[{"start":{"row":24,"column":58},"end":{"row":24,"column":60},"action":"insert","lines":["()"],"id":357}],[{"start":{"row":8,"column":19},"end":{"row":8,"column":20},"action":"insert","lines":["-"],"id":358}],[{"start":{"row":6,"column":22},"end":{"row":6,"column":23},"action":"remove","lines":[";"],"id":359}],[{"start":{"row":6,"column":22},"end":{"row":6,"column":23},"action":"insert","lines":["p"],"id":360},{"start":{"row":6,"column":23},"end":{"row":6,"column":24},"action":"insert","lines":[";"]}],[{"start":{"row":6,"column":23},"end":{"row":6,"column":24},"action":"remove","lines":[";"],"id":361},{"start":{"row":6,"column":22},"end":{"row":6,"column":23},"action":"remove","lines":["p"]}],[{"start":{"row":6,"column":22},"end":{"row":6,"column":23},"action":"insert","lines":[";"],"id":362}],[{"start":{"row":5,"column":38},"end":{"row":5,"column":39},"action":"insert","lines":["s"],"id":363}],[{"start":{"row":5,"column":38},"end":{"row":5,"column":39},"action":"remove","lines":["s"],"id":364}],[{"start":{"row":4,"column":32},"end":{"row":5,"column":0},"action":"insert","lines":["",""],"id":365},{"start":{"row":5,"column":0},"end":{"row":5,"column":6},"action":"insert","lines":["      "]}],[{"start":{"row":14,"column":67},"end":{"row":14,"column":68},"action":"remove","lines":[","],"id":366}]]},"ace":{"folds":[],"scrolltop":0,"scrollleft":0,"selection":{"start":{"row":4,"column":24},"end":{"row":4,"column":24},"isBackwards":false},"options":{"guessTabSize":true,"useWrapMode":false,"wrapToView":true},"firstLineState":0},"timestamp":1530286981521}